Subject: Re: bug#46299: 28.0.50; Value of tab-bar-show not respected in new frames.

From: Juri Linkov <[email-masked]>
Date: Sat, 13 Feb 2021 21:46:00 +0200

> But how would that cause visual glitches, such as the tab bar
> splitting into two lines, menu bar not showing and general visual
> issues (lines jumping around etc.). This worries me a bit, because I
> don't understand the problem (just worked around it by not running the
> (tab-bar-mode -1) (tab-bar-mode 1) sequence. Did you try the recipe I
> reported above?

Yes, I see the same.  A simpler test case is:

  (tab-bar-mode -1)
  (tab-bar-mode 1)
  (tab-bar-mode -1)

This means that running (tab-bar-mode -1) (tab-bar-mode 1)
should be avoided when emacs is started, because it disables
the menu bar.  Maybe there is a bug in the display code.
But adding 'redisplay' in the middle fixes the mess
created by enabling/disabling the tab bar:

  (tab-bar-mode -1)
  (tab-bar-mode 1)
  (redisplay)
  (tab-bar-mode -1)